---
operationId: "createNeonAuthIntegration"
method: "POST"
path: "/projects/auth/create"
tag: "auth-legacy"
interfaces: ["api", "sdk"]
---
> API Reference / Legacy Auth / Create Neon Auth integration

## POST /projects/auth/create

DEPRECATED, use `/projects/{project_id}/branches/{branch_id}/auth` instead. Creates a project on a third-party authentication provider's platform for use with Neon Auth.
Use this endpoint if the frontend integration flow can't be used.


### Request body

- `auth_provider` (string, required)
  Possible values: `mock`, `stack`, `better_auth`
- `project_id` (string, required)
- `branch_id` (string, required)
- `database_name` (string, optional)
- `role_name` (string, optional, deprecated)

### Response (201)

- `auth_provider` (string, optional)
  Possible values: `mock`, `stack`, `better_auth`
- `auth_provider_project_id` (string, optional)
- `pub_client_key` (string, optional)
- `secret_server_key` (string, optional)
- `jwks_url` (string, optional)
- `schema_name` (string, optional)
- `table_name` (string, optional)
- `base_url` (string, optional)

### Code examples

```bash
curl "https://console.neon.tech/api/v2/projects/auth/create" \
  -X POST \
  -H "Authorization: Bearer $NEON_API_KEY"
```

```typescript
import { createNeonClient, raw } from '@neon/sdk';

const neon = createNeonClient({ apiKey: process.env.NEON_API_KEY });
const { data } = await raw.createNeonAuthIntegration({
  client: neon.client
});
```

### Errors

**default**
General Error.

The request may or may not be safe to retry, depending on the HTTP method, response status code,
and whether a response was received.

- If no response is returned from the API, a network error or timeout likely occurred.
- In some cases, the request may have reached the server and been successfully processed, but the response failed to reach the client. As a result, retrying non-idempotent requests can lead to unintended results.

The following HTTP methods are considered non-idempotent: `POST`, `PATCH`, `DELETE`, and `PUT`. Retrying these methods is generally **not safe**.
The following methods are considered idempotent: `GET`, `HEAD`, and `OPTIONS`. Retrying these methods is **safe** in the event of a network error or timeout.

Any request that returns a `503 Service Unavailable` response is always safe to retry.

Any request that returns a `423 Locked` response is safe to retry. `423 Locked` indicates that the resource is temporarily locked, for example, due to another operation in progress.

- `request_id` (string, optional)
  Unique identifier for the request, useful for debugging.
  You can set this value manually by including an `X-Request-ID` header in the request. If not provided, the value will be generated automatically.
  
- `code` (string, required)
  Default: ``
- `message` (string, required)
  Error message
